prelude: |
  src = ("0123456789abcdef" * 128).freeze
  len = src.bytesize
benchmark:
  subseq_10:   src.byteslice(len - 10, 10)
  subseq_50:   src.byteslice(len - 50, 50)
  subseq_100:  src.byteslice(len - 100, 100)
  subseq_250:  src.byteslice(len - 250, 250)
  subseq_500:  src.byteslice(len - 500, 500)
  subseq_999:  src.byteslice(len - 999, 999)
  subseq_1000: src.byteslice(len - 1000, 1000)
loop_count: 2000000
